Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154623 - wrong message file place for locale zh_*
Summary: wrong message file place for locale zh_*
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-13 04:14 UTC by Wei-Lun Chao
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-27 02:57:20 UTC


Attachments (Terms of Use)
updated po file for zh_TW (deleted)
2005-04-13 04:17 UTC, Wei-Lun Chao
no flags Details | Diff
The popt.po file for zh_CN (deleted)
2005-05-20 06:03 UTC, Chester Cheng
no flags Details

Description Wei-Lun Chao 2005-04-13 04:14:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
message files in rpm package: rpm.mo & popt.mo
for locale: zh_TW & zh_CN
should be under directory: zh_TW & zh_CN
not under: zh & zh_CN.GB2312


Version-Release number of selected component (if applicable):
rpm-4.3.2

How reproducible:
Always

Steps to Reproduce:
1.locate popt.mo

Actual Results:  /usr/share/locale/zh_CN.GB2312/LC_MESSAGES/popt.mo
/usr/share/locale/zh/LC_MESSAGES/popt.mo


Expected Results:  /usr/share/locale/zh_CN/LC_MESSAGES/popt.mo
/usr/share/locale/zh_TW/LC_MESSAGES/popt.mo


Additional info:

Comment 1 Wei-Lun Chao 2005-04-13 04:17:49 UTC
Created attachment 113081 [details]
updated po file for zh_TW

here is an updated po file of popt
for the locale zh_TW

Comment 4 Paul Nasrat 2005-05-19 18:06:27 UTC
Location fixed in rpm-4.4.1-19 awaiting feedback on translation from translation
team

Comment 5 Chester Cheng 2005-05-20 06:03:21 UTC
Created attachment 114615 [details]
The popt.po file for zh_CN

This is the popt.po file for zh_CN by our simplified Chinese translator Tony
Fu.

Comment 6 Chester Cheng 2005-05-20 06:09:38 UTC
Hi Lawrence,

Both zh_TW and zh_CN files had been checked. Could you let us know if there are
anything missing?

Regards,
Chester

Comment 7 Lawrence Lim 2005-05-24 00:29:38 UTC
Thanks Chester. That's it. And its now over to Paul. :-)
Please update both the po files for zh_TW and zh_CN.


Thanks.

Comment 8 Paul Nasrat 2005-05-24 15:31:24 UTC
rpm 4.4.1-21 and commited to rpm-4.4 branch 

Comment 9 Wei-Lun Chao 2005-05-27 02:46:43 UTC
/usr/share/locale/zh/LC_MESSAGES/popt.mo

should be removed, and

/usr/share/locale/zh_CN/LC_MESSAGES/popt.mo
/usr/share/locale/zh_TW/LC_MESSAGES/popt.mo

should exchange their install place.

Comment 10 Jeff Johnson 2005-08-27 02:57:20 UTC
This is fixed in rpm-4.4.2 (i.e. popt-1.10.2) and later.


Note You need to log in before you can comment on or make changes to this bug.